const path = require('path');
const webpack = require("webpack");
const PATHS = {
    app: path.join(__dirname, 'src'),
    build: path.join(__dirname, 'dist')
};
const nodeExternals = require('webpack-node-externals');
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');

const options = {
    entry: {
        'sqlite': [path.join(__dirname, 'src', 'index.ts')],
    },
    output: {
        path: PATHS.build,
        filename: '[name].min.js',
        libraryTarget: 'umd',
        umdNamedDefine: true
    },
    externals: [
        "@nano-sql/core"
    ],
    devServer: {
        historyApiFallback: true,
        inline: false,
        contentBase: "dist",
    },
    watchOptions: {
        aggregateTimeout: 500,
    },
    node: {
        global: false,
        process: false
    },
    resolve: {
        extensions: ['.ts', '.tsx', '.js']
    },
    module: {
        rules: [
            {
                test: /\.ts$/,
                loader: 'ts-loader'
            }
        ]
    }
};

module.exports = options;